package com.fdkankan.ucenter.service;

import com.fdkankan.ucenter.common.PageInfo;
import com.fdkankan.ucenter.entity.Camera;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.ucenter.vo.request.CameraParam;
import com.fdkankan.ucenter.vo.response.CameraAppVo;
import com.fdkankan.ucenter.vo.response.CameraVo;

import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 相机主表 服务类
 * </p>
 *
 * @author 
 * @since 2022-07-04
 */
public interface ICameraService extends IService<Camera> {

    Camera getBySnCode(String snCode);

    Camera getByWfiName(String snCode);

    List<Camera> getCameraLikeSnCode(String trim);

    PageInfo pageList(CameraParam param);

    HashMap<String, Object> deadline(String username);

    void unbind(Long cameraId, String ids,String userName);

    void bind(Integer cameraType, String snCode, String username);

    void saveCooperationUser(String ids, Long cameraId,String resourceIds, String username,String lang);

    HashMap<Long, Camera> getByIds(List<Long> cameraIds);

    void deleteCooperationUser(Long cameraId);

    Camera getBySnCodeAndPassword(String appUserName, String appPassword);

    Camera getByChildName(String childName);

    CameraVo getVoByChildName(String childName);

    List<CameraAppVo> getCameraInfo(String childName, String childPassword);

    List<Camera> getAllList(String childName,String token);

    List<Camera> findLikeChildName(String searchKey);

    List<Camera> getBySnCodes(List<String> snCodes);
}
